/*
 *
 *      this file is for cross referencing effect data.
 *      there are also checks where i use these fxIDs
 *
 */


#ifndef EVE_EFFECTS_H
#define EVE_EFFECTS_H


/** updated list from current server data...
 *  allan - 21 March 2017
 */
enum EVEEffectID {
    shieldBoosting =   4,     // effects.ShieldBoosting
    missileLaunching =   9,     // effects.MissileDeployment
    targetAttack =   10,     // effects.Laser   ** this gfx is short bursts from module, with long pauses
    loPower = 11,
    hiPower = 12,
    medPower = 13,
    Online = 16,
    mining = 17,     // effects.Mining    ** same gfx as effects.Laser
    shieldTransfer =   18,     // effects.ShieldTransfer
    structureRepair =   26,     // effects.StructureRepair
    armorRepair =   27,     // effects.ArmorRepair
    modifyTargetSpeed =   29,     // effects.ModifyTargetSpeed
    energyTransfer =   31,     // effects.EnergyTransfer
    energyVampire =   32,     // effects.EnergyDestabilization
    projectileFired =   34,     // effects.ProjectileFired
    energyDestabilization =   36,     // effects.EnergyDestabilization
    empWave =   38,     // effects.EMPWave
    warpScramble =   39,     // effects.WarpScramble
    launcherFitted = 40,
    turretFitted  = 42,
    cargoScan =   47,     // effects.CargoScan
    ecmBurst =   53,     // effects.ECMBurst
    miningLaser =   67,     // effects.miningLaser  ** this gfx is a long burst from module, with short pauses
    surveyScan =   81,     // effects.SurveyScan
    useMissiles = 101,          // not actually an effect, but means "use charge's effectID"
    fofMissileLaunching =   104,     // effects.MissileDeployment
    turretWeaponRangeTrackingSpeedMultiplyActivate =   123,     // effects.TurretWeaponRangeTrackingSpeedMultiplyActivate
    scanStrengthBonusTarget =   124,     // effects.ScanStrengthBonusTarget
    turretWeaponRangeTrackingSpeedMultiplyTarget =   126,     // effects.TurretWeaponRangeTrackingSpeedMultiplyTarget
    torpedoLaunching =   127,     // effects.TorpedoDeployment
    skillEffect = 132,
    barrage =   263,     // effects.Barrage
    warpScrambleForEntity =   563,     // effects.WarpScramble
    missileLaunchingForEntity =   569,     // effects.MissileDeployment
    modifyTargetSpeed2 =   575,     // effects.ModifyTargetSpeed
    decreaseTargetSpeed =   586,     // effects.ModifyTargetSpeed
    targetArmorRepair =   592,     // effects.RemoteArmourRepair
    targetedEMResonanceMultiply =   597,     // effects.EnergyDestabilization
    cloaking =   607,     // effects.Cloaking
    turretWeaponRangeTrackingSpeedMultiplyTargetHostile =   609,     // effects.ElectronicAttributeModifyTarget
    targetedKineticResonanceMultiply =   615,     // effects.EnergyDestabilization
    targetedThermalResonanceMultiply =   616,     // effects.EnergyDestabilization
    targetedExplosiveResonanceMultiply =   617,     // effects.EnergyDestabilization
    anchorDrop =   649,     // effects.AnchorDrop
    anchorLift =   650,     // effects.AnchorLift
    stealthActive =   713,     // effects.ElectronicAttributeModifyActivate
    sensorBoostTargeted =   716,     // effects.ElectronicAttributeModifyTarget
    sensorBoosterActive =   720,     // effects.ElectronicAttributeModifyActivate
    gallenteFrigateSkillLevelPreMulShipBonusGF2Ship =   751,     // gallenteFrigateSkillLevelPreMulShipBonusGF2Ship
    shipHybridDamageBonusCF =   754,     // shipHybridDamageBonusCF
    shipETDamageAF =   757,     // shipETDamageAF
    shipMissileSpeedBonusCF =   760,     // shipMissileSpeedBonusCF
    caldariBattleshipSkillLevelPreMulShipBonusCB3Ship =   797,     // caldariBattleshipSkillLevelPreMulShipBonusCB3Ship
    sensorBoostTargetedHostile =   837,     // effects.ElectronicAttributeModifyTarget
    shieldBoostingForEntities =   876,     // effects.ShieldBoosting
    armorRepairForEntities =   878,     // effects.ArmorRepair
    suicideBomb =   885,     // effects.EMPWave
    onlineForStructures =   901,     // effects.StructureOnline
    decloakWave =   902,     // effects.DecloakWave
    cloakingWarpSafe =   980,     // effects.CloakingCovertOps
    anchorDropForStructures =   1022,     // effects.AnchorDrop
    anchorLiftForStructures =   1023,     // effects.AnchorLift
    projectileFiredForEntities =   1086,     // effects.ProjectileFiredForEntities
    targetAttackForStructures =   1199,     // effects.ProjectileFiredForEntities
    speedBoostMassAddition =   1253,     // effects.Afterburner
    speedBoostMassSigRad =   1254,     // effects.MicroWarpDrive
    newEwTestscanStrengthBonusTargetHostile =   1271,     // effects.ScanStrengthBonusTarget
    newEwTestswarpScramble =   1272,     // effects.WarpScramble
    newEwTestssensorBoostTargetedHostile =   1273,     // effects.ElectronicAttributeModifyTarget
    newEwTeststurretWeaponRangeTrackingSpeedMultiplyTargetHostile =   1274,     // effects.Target_paint
    newEwTestsdecreaseTargetSpeed =   1275,     // effects.ModifyTargetSpeed
    ewTestEffectRsd =   1354,     // effects.ElectronicAttributeModifyTarget
    ewTestEffectWs =   1355,     // effects.WarpScramble
    ewTestEffectJam =   1358,     // effects.ElectronicAttributeModifyTarget
    gangBonusSignature =   1411,     // effects.ElectronicAttributeModifyActivate
    gangArmorHardening =   1510,     // effects.ElectronicAttributeModifyActivate
    gangPropulsionJammingBoost =   1546,     // effects.ElectronicAttributeModifyActivate
    gangShieldHardening =   1548,     // effects.ElectronicAttributeModifyActivate
    ewTargetPaint =   1549,     // effects.TargetPaint
    gangECCMfixed =   1648,     // effects.ElectronicAttributeModifyActivate
    doHacking =   1738,     // effects.TargetScan
    siegeModeEffectOld =   1745,     // effects.SiegeMode
    gangArmorRepairSpeedAmplifier =   1746,     // effects.ElectronicAttributeModifyActivate
    gangArmorRepairCapReducer =   1747,     // effects.ElectronicAttributeModifyActivate
    entityCapacitorDrain =   1872,     // effects.EnergyVampire
    entityTrackingDisruptOld =   1877,     // effects.ElectronicAttributeModifyTarget
    entitySensorDampen =   1878,     // effects.ElectronicAttributeModifyTarget
    entityTargetPaint =   1879,     // effects.TargetPaint
    setActiveDamageResonanceMultiplier =   1938,     // effects.ModifyShieldResonance
    droneTrackingComputerMultiply =   2007,     // droneTrackingComputerMultiply
    empWaveGrid =   2071,     // effects.EMPWaveGrid
    modifyActiveArmorResonanceAndNullifyPassiveResonance =   2098,     // effects.ArmorHardening
    modifyActiveShieldResonanceAndNullifyPassiveResonance =   2118,     // effects.ModifyShieldResonance
    jumpPortalGeneration =   2152,     // effects.JumpPortal
    entityShieldBoostingSmall =   2192,     // effects.ShieldBoosting
    entityShieldBoostingMedium =   2193,     // effects.ShieldBoosting
    entityShieldBoostingLarge =   2194,     // effects.ShieldBoosting
    entityArmorRepairingSmall =   2195,     // effects.ArmorRepair
    entityArmorRepairingMedium =   2196,     // effects.ArmorRepair
    entityArmorRepairingLarge =   2197,     // effects.ArmorRepair
    scanStrengthBonusPercentActivate =   2231,     // effects.ScanStrengthBonusActivate
    tractorBeamCan =   2255,     // effects.TractorBeam
    scanStrengthBonusPercentPassive =   2298,     // effects.ScanStrengthBonusActivate
    damageControl  = 2302,
    energyDestabilizationNew =   2303,     // effects.EnergyDestabilization
    energyNosferatu =   2304,     // effects.EnergyVampire
    snowBallLaunching =   2413,     // effects.MissileDeployment
    decreaseTargetSpeedForStructures =   2480,     // effects.ModifyTargetSpeed
    warpScrambleForStructure =   2481,     // effects.WarpScramble
    torpedoLaunchingIsOffensive =   2576,     // effects.TorpedoDeployment
    entityEnvironmentalEffectDamageTest =   2662,     // effects.EMPWave
    rigSlot  = 2663,
    sensorBoosterActivePercentage =   2670,     // effects.ElectronicAttributeModifyActivate
    miningClouds =   2726,     // effects.CloudMining
    salvaging =   2757,     // effects.Salvaging
    energyDestabilizationNewForStructure =   2912,     // effects.EnergyDestabilization
    remoteEcmBurst =   2913,     // effects.RemoteECM
    bombLaunching =   2971,     // effects.MissileDeployment
    energyDestabilizationForStructure =   3003,     // effects.EnergyDestabilization
    remoteHullRepair =   3041,     // effects.RemoteArmourRepair
    triageModeEffectWithoutECMBurst =   3045,     // effects.TriageMode
    siegeModeEffect =   3062,     // effects.SiegeMode
    sensorBoostTargetedHostileKali2Test =   3161,     // effects.ElectronicAttributeModifyTarget
    triageModeEffect =   3162,     // effects.TriageMode
    gangArmorRepairCapReducerSelfAndProjected =   3165,     // effects.ElectronicAttributeModifyActivate
    gangArmorRepairSpeedAmplifierSelfAndProjected =   3167,     // effects.ElectronicAttributeModifyActivate
    warpDisruptSphere =   3380,     // effects.WarpDisruptFieldGenerating
    targetTurretWeaponMaxRangeAndTrackingSpeedBonusHostile =   3552,     // effects.ElectronicAttributeModifyTarget
    targetGunneryMaxRangeAndTrackingSpeedBonusHostile =   3555,     // effects.ElectronicAttributeModifyTarget
    targetGunneryMaxRangeAndTrackingSpeedBonusAssistance =   3556,     // effects.TurretWeaponRangeTrackingSpeedMultiplyTarget
    gunneryMaxRangeAndTrackingSpeedBonus =   3559,     // effects.TurretWeaponRangeTrackingSpeedMultiplyActivate
    targetMaxTargetRangeAndScanResolutionBonusAssistance =   3583,     // effects.ElectronicAttributeModifyTarget
    targetMaxTargetRangeAndScanResolutionBonusHostile =   3584,     // effects.ElectronicAttributeModifyTarget
    jumpPortalGenerationBO =   3674,     // effects.JumpPortalBO
    targetGunneryMaxRangeAndTrackingSpeedAndFalloffBonusHostile =   3690,     // effects.ElectronicAttributeModifyTarget
    turretWeaponRangeFalloffTrackingSpeedMultiplyTargetHostile =   3697,     // effects.ElectronicAttributeModifyTarget
    concordWarpScramble =   3713,     // effects.WarpScramble
    concordModifyTargetSpeed =   3714,     // effects.ModifyTargetSpeed
    warpScrambleTargetMWDBlockActivation =   3725,     // effects.WarpScramble
    subSystem  = 3772,
    probeLaunching =   3793,     // effects.MissileDeployment
    NPCRemoteArmorRepair =   3852,     // effects.RemoteArmourRepair
    NPCRemoteShieldBoost =   3855,     // effects.ShieldTransfer
    superWeaponTurret =   4481,     // effects.AnchorLift
    superWeaponAmarr =   4489,     // effects.SuperWeaponAmarr
    superWeaponCaldari =   4490,     // effects.SuperWeaponCaldari
    superWeaponGallente =   4491,     // effects.SuperWeaponGallente
    superWeaponMinmatar =   4492,     // effects.SuperWeaponMinmatar
    gunneryMaxRangeFalloffTrackingSpeedBonus =   4559,     // effects.TurretWeaponRangeTrackingSpeedMultiplyActivate
    targetGunneryMaxRangeFalloffTrackingSpeedBonusAssistance =   4560,     // effects.TurretWeaponRangeTrackingSpeedMultiplyTarget
    siegeModeEffect3 =   4568,     // effects.SiegeMode
    siegeModeEffect4 =   4573,     // effects.SiegeMode
    triageModeEffect2 =   4574,     // effects.TriageMode
    industrialCoreEffect2 =   4575,     // effects.SiegeMode
    NPCGroupShieldAssist =   4686,     // effects.ElectronicAttributeModifyActivate
    NPCGroupSpeedAssist =   4687,     // effects.ElectronicAttributeModifyActivate
    NPCGroupPropJamAssist =   4688,     // effects.ElectronicAttributeModifyActivate
    NPCGroupArmorAssist =   4689,     // effects.ElectronicAttributeModifyActivate
    fighterMissile =   4729,     // effects.Laser
    anchorDropForOrbitals =   4769,     // effects.AnchorDrop
    anchorLiftForOrbitals =   4770,     // effects.AnchorLift
    onlineOrbital =   4771,     // effects.StructureOnline
    hackOrbital =   4773,     // effects.TargetScan
    deployPledge =   4774,     // DeployPledge
    siegeModeEffect5 =   4838,     // effects.SiegeMode
    triageModeEffect3 =   4839,     // effects.TriageMode
    siegeModeEffect6 =   4877,     // effects.SiegeMode
    triageModeEffect7 =   4893,     // effects.TriageMode
    microJumpDrive =   4921,     // effects.MicroJumpDriveEngage
    adaptiveArmorHardener =   4928,     // effects.ArmorHardening
    targetTrackingDisruptorCombinedGunneryAndMissileEffect =   4932,     // effects.ElectronicAttributeModifyTarget
    fueledShieldBoosting =   4936,     // effects.ShieldBoosting
    targetBreaker =   4942,     // effects.TargetBreaker
    unusedEntityTrackingDisrupt4 =   4980,     // effects.ElectronicAttributeModifyTarget
    unusedEntityTrackingDisrupt5 =   4981,     // effects.ElectronicAttributeModifyTarget
    entityTrackingDisrupt =   4982,     // effects.ElectronicAttributeModifyTarget
    orbitalStrike =   5141,     // effects.OrbitalStrike
    salvageDroneEffect =   5163,     // effects.Salvaging
    modifyActiveShieldResonancePostPercent =   5230,     // effects.ModifyShieldResonance
    modifyActiveArmorResonancePostPercent =   5231,     // effects.ArmorHardening
    fueledArmorRepair =   5275,     // effects.ArmorRepair
    gangSensorIntegrity =   5551,     // effects.ElectronicAttributeModifyActivate
    marauderModeEffect25 =   5643,     // effects.SiegeMode
    EssWarpScramble =   5768,     // effects.BeamCollecting
    marauderModeEffect26 =   5788,     // effects.SiegeMode
    warpScrambleTargetMWDBlockActivationForEntity =   5928,     // effects.WarpScramble
    warpScrambleBlockMWDWithNPCEffect =   5934,     // effects.WarpScramble
    cloakingPrototype =   5945,     // effects.CloakingPrototype
    shipModeScanStrengthPostDiv =   6012,     // effects.ScanStrengthBonusActivate
};

#endif  //EVE_EFFECTS_H
