/*
 - ----------*-------------------------------------------------------------------------
 LICENSE:
 ------------------------------------------------------------------------------------
 This file is part of EVEmu: EVE Online Server Emulator
 Copyright 2006 - 2021 The EVEmu Team
 For the latest information visit https://evemu.dev
 ------------------------------------------------------------------------------------
 This program is free software; you can redistribute it and/or modify it under
 the terms of the GNU Lesser General Public License as published by the Free Software
 Foundation; either version 2 of the License, or (at your option) any later
 version.
 This program is distributed in the hope that it will be useful, but WITHOUT
 ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.
 You should have received a copy of the GNU Lesser General Public License along with
 this program; if not, write to the Free Software Foundation, Inc., 59 Temple
 Place - Suite 330, Boston, MA 02111-1307, USA, or go to
 http://www.gnu.org/copyleft/lesser.txt.
 ------------------------------------------------------------------------------------
 Author:        Zhur
 Additions:  Allan
 Log Version: 10.2
 */
/*  see above Log Version, log.ini and LogVersion displayed in server console for matching versions */

#ifndef LOG_CATEGORY
#define LOG_CATEGORY(name)
#endif
#ifndef LOG_TYPE
#define LOG_TYPE(cat, type, default_value, str)
#endif
#ifndef ENABLED
#define ENABLED true
#endif
#ifndef DISABLED
#define DISABLED false
#endif

/*
 * Recommended log level names and ordering:
 *  0 - fatal error     (not used)
 *  1 - error
 *  2 - warning
 *  3 - message
 *  4 - debug
 *  5 - info
 *  6 - trace
 *  7 - success         (not used)
 *
 */

LOG_CATEGORY( ACCOUNT )
LOG_TYPE( ACCOUNT, ERROR,   ENABLED, "AcctError" )
LOG_TYPE( ACCOUNT, WARNING, DISABLED, "AcctWarning" )
LOG_TYPE( ACCOUNT, MESSAGE, DISABLED, "AcctMsg" )
LOG_TYPE( ACCOUNT, INFO, DISABLED, "AcctInfo" )
LOG_TYPE( ACCOUNT, TRACE, DISABLED, "AcctTrace" )
LOG_TYPE( ACCOUNT, CALL, DISABLED, "AcctCall" )
LOG_TYPE( ACCOUNT, CALL_DUMP, DISABLED, "AcctCallDump" )
LOG_TYPE( ACCOUNT, RSP_DUMP, DISABLED, "AcctRspDump" )
LOG_TYPE( ACCOUNT, DB_ERROR,   ENABLED, "AcctDBError" )
LOG_TYPE( ACCOUNT, DB_WARNING, DISABLED, "AcctDBWarning" )
LOG_TYPE( ACCOUNT, DB_MESSAGE, DISABLED, "AcctDBMsg" )
LOG_TYPE( ACCOUNT, DB_INFO, DISABLED, "AcctDBInfo" )

LOG_CATEGORY( AGENT )
LOG_TYPE( AGENT, ERROR,   ENABLED, "AgentError" )
LOG_TYPE( AGENT, WARNING, DISABLED, "AgentWarning" )
LOG_TYPE( AGENT, MESSAGE, DISABLED, "AgentMsg" )
LOG_TYPE( AGENT, DEBUG, DISABLED, "AgentDebug" )
LOG_TYPE( AGENT, INFO, DISABLED, "AgentInfo" )
LOG_TYPE( AGENT, TRACE, DISABLED, "AgentTrace" )
LOG_TYPE( AGENT, DUMP, DISABLED, "AgentDump" )
LOG_TYPE( AGENT, RSP_DUMP, DISABLED, "AgentRspDump" )

LOG_CATEGORY( ALLY )
LOG_TYPE( ALLY, ERROR,   ENABLED, "AllyError" )
LOG_TYPE( ALLY, WARNING, DISABLED, "AllyWarning" )
LOG_TYPE( ALLY, MESSAGE, DISABLED, "AllyMsg" )
LOG_TYPE( ALLY, INFO, DISABLED, "AllyInfo" )
LOG_TYPE( ALLY, TRACE, DISABLED, "AllyTrace" )
LOG_TYPE( ALLY, CALL, DISABLED, "AllyCall" )
LOG_TYPE( ALLY, CALL_DUMP, DISABLED, "AllyCallDump" )
LOG_TYPE( ALLY, RSP_DUMP, DISABLED, "AllyRspDump" )
LOG_TYPE( ALLY, PKT_TRACE, DISABLED, "AllyPktTrace" )
LOG_TYPE( ALLY, DB_ERROR,   ENABLED, "AllyDBError" )
LOG_TYPE( ALLY, DB_WARNING, DISABLED, "AllyDBWarning" )

LOG_CATEGORY( ATTRIBUTE )
LOG_TYPE( ATTRIBUTE, ERROR,   ENABLED, "Attr Error" )
LOG_TYPE( ATTRIBUTE, WARNING, DISABLED, "Attr Warning" )
LOG_TYPE( ATTRIBUTE, INFO, DISABLED, "Attr Info" )
LOG_TYPE( ATTRIBUTE, ADD, DISABLED, "Attr Add" )
LOG_TYPE( ATTRIBUTE, DELETE, DISABLED, "Attr Delete" )
LOG_TYPE( ATTRIBUTE, CHANGE, DISABLED, "Attr Change" )
LOG_TYPE( ATTRIBUTE, MISSING, DISABLED, "Attr Missing" )

LOG_CATEGORY( AUTOPILOT )
LOG_TYPE( AUTOPILOT, ERROR,   ENABLED, "AP Error" )
LOG_TYPE( AUTOPILOT, WARNING, DISABLED, "AP Warning" )
LOG_TYPE( AUTOPILOT, MESSAGE, DISABLED, "AP Msg" )
LOG_TYPE( AUTOPILOT, DEBUG, DISABLED, "AP Debug" )
LOG_TYPE( AUTOPILOT, INFO, DISABLED, "AP Info" )
LOG_TYPE( AUTOPILOT, TRACE, DISABLED, "AP Trace" )

LOG_CATEGORY( BOOKMARK )
LOG_TYPE( BOOKMARK, ERROR,   ENABLED, "BM Error" )
LOG_TYPE( BOOKMARK, WARNING, DISABLED, "BM Warning" )
LOG_TYPE( BOOKMARK, MESSAGE, DISABLED, "BM Msg" )
LOG_TYPE( BOOKMARK, DEBUG, DISABLED, "BM Debug" )
LOG_TYPE( BOOKMARK, INFO, DISABLED, "BM Info" )
LOG_TYPE( BOOKMARK, TRACE, DISABLED, "BM Trace" )
LOG_TYPE( BOOKMARK, CALL_DUMP, DISABLED, "BM CallDump" )
LOG_TYPE( BOOKMARK, RSP_DUMP, DISABLED, "BM RspDump" )

LOG_CATEGORY( BULKDATA )
LOG_TYPE( BULKDATA, ERROR,   ENABLED, "BulkError" )
LOG_TYPE( BULKDATA, WARNING, DISABLED, "BulkWarning" )
LOG_TYPE( BULKDATA, MESSAGE, DISABLED, "BulkMsg" )
LOG_TYPE( BULKDATA, DEBUG, DISABLED, "BulkDebug" )
LOG_TYPE( BULKDATA, INFO, DISABLED, "BulkInfo" )
LOG_TYPE( BULKDATA, TRACE, DISABLED, "BulkTrace" )
LOG_TYPE( BULKDATA, DUMP, DISABLED, "BulkDump" )

LOG_CATEGORY( CACHE )
LOG_TYPE( CACHE, ERROR,   ENABLED, "CacheError" )
LOG_TYPE( CACHE, WARNING, DISABLED, "CacheWarning" )
LOG_TYPE( CACHE, MESSAGE, DISABLED, "CacheMsg" )
LOG_TYPE( CACHE, DEBUG, DISABLED, "CacheDebug" )
LOG_TYPE( CACHE, INFO, DISABLED, "CacheInfo" )
LOG_TYPE( CACHE, TRACE, DISABLED, "CacheTrace" )
LOG_TYPE( CACHE, DUMP, DISABLED, "CacheDump" )

LOG_CATEGORY( CHARACTER )
LOG_TYPE( CHARACTER, ERROR, ENABLED, "CharError" )
LOG_TYPE( CHARACTER, WARNING, DISABLED, "CharWarning" )
LOG_TYPE( CHARACTER, MESSAGE, DISABLED, "CharMsg" )
LOG_TYPE( CHARACTER, INFO, DISABLED, "CharInfo" )
LOG_TYPE( CHARACTER, DEBUG, DISABLED, "CharDebug" )
LOG_TYPE( CHARACTER, TRACE, DISABLED, "CharTrace" )
LOG_TYPE( CHARACTER, BIND, DISABLED, "CharBindDump" )

LOG_CATEGORY( CLIENT )
LOG_TYPE( CLIENT, ERROR, ENABLED, "ClientError" )
LOG_TYPE( CLIENT, WARNING, DISABLED, "ClientWarning" )
LOG_TYPE( CLIENT, MESSAGE, DISABLED, "ClientMsg" )
LOG_TYPE( CLIENT, INFO, DISABLED, "ClientInfo" )
LOG_TYPE( CLIENT, CALL_REP, DISABLED, "ClientCallRep" )
LOG_TYPE( CLIENT, CALL_DUMP, DISABLED, "ClientCallDump" )
LOG_TYPE( CLIENT, RSP_DUMP, DISABLED, "ClientRspDump" )
LOG_TYPE( CLIENT, IN_ALL, DISABLED, "ClientInAll" )
LOG_TYPE( CLIENT, OUT_ALL, DISABLED, "ClientOutAll" )
LOG_TYPE( CLIENT, NOTIFY_REP, DISABLED, "ClientNotifyRep" )
LOG_TYPE( CLIENT, NOTIFY_DUMP, DISABLED, "ClientNotifyDmp" )
LOG_TYPE( CLIENT, QUEUE_DUMP, DISABLED, "ClientQueueDump" )
LOG_TYPE( CLIENT, SESSION, DISABLED, "ClientSession" )
LOG_TYPE( CLIENT, SESSION_DUMP, DISABLED, "ClientSessionDump" )
LOG_TYPE( CLIENT, SESSION_NOTFOUND, DISABLED, "ClientSession" )
LOG_TYPE( CLIENT, TIMER, DISABLED, "ClientTimer" )
LOG_TYPE( CLIENT, TRACE, DISABLED, "ClientTrace" )
LOG_TYPE( CLIENT, STACK_TRACE, DISABLED, "ClientStack" )
LOG_TYPE( CLIENT, TEXT, DISABLED, "ClientText" )

LOG_CATEGORY( COLLECT )
LOG_TYPE( COLLECT, MESSAGE, DISABLED, "CollectMsg" )
LOG_TYPE( COLLECT, ERROR, ENABLED, "CollectError" )
LOG_TYPE( COLLECT, ERROR_DETAIL, ENABLED, "CollectErrorDetail" )
LOG_TYPE( COLLECT, TCP, DISABLED, "CollectTCP" )
LOG_TYPE( COLLECT, RAW_HEX, DISABLED, "CollectRawHex" )
LOG_TYPE( COLLECT, PYREP_DUMP, DISABLED, "CollectPyRep" )
LOG_TYPE( COLLECT, PACKET_DUMP, DISABLED, "PacketDump" )
LOG_TYPE( COLLECT, PACKET_SRC, DISABLED, "PacketSrc" )
LOG_TYPE( COLLECT, PACKET_DEST, DISABLED, "PacketDest" )
LOG_TYPE( COLLECT, CALL_SUMMARY, ENABLED, "CallSummary" )
LOG_TYPE( COLLECT, DESTINY, DISABLED, "CollectDestiny" )
LOG_TYPE( COLLECT, DESTINY_REP, DISABLED, "CollectDestinyRep" )
LOG_TYPE( COLLECT, DESTINY_HEX, DISABLED, "CollectDestinyHex" )
LOG_TYPE( COLLECT, CALL_DUMP, DISABLED, "CollectCallDump" )
LOG_TYPE( COLLECT, NOTIFY_SUMMARY, DISABLED, "NotifySummary" )
LOG_TYPE( COLLECT, NOTIFY_DUMP, DISABLED, "NotifyDump" )
LOG_TYPE( COLLECT, OTHER_DUMP, DISABLED, "BindDump" )
LOG_TYPE( COLLECT, CALL_XML, DISABLED, "CallReqXML" )
LOG_TYPE( COLLECT, CALLRSP_XML, DISABLED, "CallRspXML" )
LOG_TYPE( COLLECT, NOTIFY_XML, DISABLED, "NotifyXML" )
LOG_TYPE( COLLECT, MISC_XML, DISABLED, "MiscXML" )
LOG_TYPE( COLLECT, CALLRSP_SQL, DISABLED, "CallRspSQL" )

LOG_CATEGORY( COLONY )
LOG_TYPE( COLONY, ERROR,   ENABLED, "ColonyError" )
LOG_TYPE( COLONY, WARNING, DISABLED, "ColonyWarning" )
LOG_TYPE( COLONY, MESSAGE, DISABLED, "ColonyMsg" )
LOG_TYPE( COLONY, DEBUG, DISABLED, "ColonyDebug" )
LOG_TYPE( COLONY, INFO, DISABLED, "ColonyInfo" )
LOG_TYPE( COLONY, TRACE, DISABLED, "ColonyTrace" )
LOG_TYPE( COLONY, DUMP, DISABLED, "ColonyCallDump" )
LOG_TYPE( COLONY, RES_DUMP, DISABLED, "ColonyResDump" )
LOG_TYPE( COLONY, GC_DUMP, DISABLED, "GC_Dump" )
LOG_TYPE( COLONY, PKT_TRACE, DISABLED, "ColonyPktTrace" )
LOG_TYPE( COLONY, DB_ERROR,   ENABLED, "ColonyDB:Error" )
LOG_TYPE( COLONY, DB_WARNING, DISABLED, "ColonyDB:Warning" )

LOG_CATEGORY( COMMAND )
LOG_TYPE( COMMAND, ERROR, ENABLED, "CmdError" )
LOG_TYPE( COMMAND, MESSAGE, DISABLED, "CmdMsg" )
LOG_TYPE( COMMAND, INFO, DISABLED, "CmdInfo" )
LOG_TYPE( COMMAND, DUMP, DISABLED, "CmdDump" )

LOG_CATEGORY( COMMON )
LOG_TYPE( COMMON, ERROR,   ENABLED, "CommonError" )
LOG_TYPE( COMMON, WARNING, DISABLED, "CommonWarning" )
LOG_TYPE( COMMON, MESSAGE, DISABLED, "CommonMsg" )
LOG_TYPE( COMMON, INFO, DISABLED, "CommonInfo" )
LOG_TYPE( COMMON, PYREP, DISABLED, "CommonPyRep" )

LOG_CATEGORY( CONCORD )
LOG_TYPE( CONCORD, ERROR,   ENABLED, "ConcordError" )
LOG_TYPE( CONCORD, WARNING, DISABLED, "ConcordWarning" )
LOG_TYPE( CONCORD, MESSAGE, DISABLED, "ConcordMsg" )
LOG_TYPE( CONCORD, INFO, DISABLED, "ConcordInfo" )
LOG_TYPE( CONCORD, TRACE, DISABLED, "ConcordTrace" )
LOG_TYPE( CONCORD, AI_TRACE, DISABLED, "ConcordAITrace" )

LOG_CATEGORY( CORP )
LOG_TYPE( CORP, ERROR,   ENABLED, "CorpError" )
LOG_TYPE( CORP, WARNING, DISABLED, "CorpWarning" )
LOG_TYPE( CORP, MESSAGE, DISABLED, "CorpMsg" )
LOG_TYPE( CORP, INFO, DISABLED, "CorpInfo" )
LOG_TYPE( CORP, TRACE, DISABLED, "CorpTrace" )
LOG_TYPE( CORP, CALL, DISABLED, "CorpCall" )
LOG_TYPE( CORP, CALL_DUMP, DISABLED, "CorpCallDump" )
LOG_TYPE( CORP, RSP_DUMP, DISABLED, "CorpRspDump" )
LOG_TYPE( CORP, PKT_TRACE, DISABLED, "CorpPktTrace" )
LOG_TYPE( CORP, DB_ERROR,   ENABLED, "CorpDBError" )
LOG_TYPE( CORP, DB_WARNING, DISABLED, "CorpDBWarning" )
LOG_TYPE( CORP, DB_MESSAGE, DISABLED, "CorpDBMsg" )
LOG_TYPE( CORP, DB_INFO, DISABLED, "CorpDBInfo" )

LOG_CATEGORY( COSMIC_MGR )
LOG_TYPE( COSMIC_MGR, ERROR,   ENABLED, "CMgr Error" )
LOG_TYPE( COSMIC_MGR, WARNING, DISABLED, "CMgr Warning" )
LOG_TYPE( COSMIC_MGR, MESSAGE, DISABLED, "CMgr Msg" )
LOG_TYPE( COSMIC_MGR, DEBUG, DISABLED, "CMgr Debug" )
LOG_TYPE( COSMIC_MGR, TRACE, DISABLED, "CMgr Trace" )

LOG_CATEGORY( DAMAGE )
LOG_TYPE( DAMAGE, ERROR, ENABLED, "DmgError" )
LOG_TYPE( DAMAGE, WARNING, ENABLED, "DmgWarn" )
LOG_TYPE( DAMAGE, MESSAGE, DISABLED, "DmgMsg" )
LOG_TYPE( DAMAGE, INFO, DISABLED, "DmgInfo" )
LOG_TYPE( DAMAGE, DEBUG, DISABLED, "DmgDebug" )
LOG_TYPE( DAMAGE, TRACE, DISABLED, "DmgTrace" )
LOG_TYPE( DAMAGE, TRACE_NPC, DISABLED, "DmgTraceNPC" )

LOG_CATEGORY( DATA )
LOG_TYPE( DATA, ERROR, ENABLED, "Data Error" )
LOG_TYPE( DATA, WARNING, ENABLED, "Data Warn" )
LOG_TYPE( DATA, MESSAGE, DISABLED, "Data Msg" )
LOG_TYPE( DATA, INFO, DISABLED, "Data Info" )

LOG_CATEGORY( DATABASE )
LOG_TYPE( DATABASE, ERROR, ENABLED, "DB Error" )
LOG_TYPE( DATABASE, ALL_ERRORS, ENABLED, "DB AllErrors" )
LOG_TYPE( DATABASE, MESSAGE, DISABLED, "DB Msg" )
LOG_TYPE( DATABASE, INFO, DISABLED, "DB Info" )
LOG_TYPE( DATABASE, QUERIES, DISABLED, "DB Query" )
LOG_TYPE( DATABASE, RESULTS, DISABLED, "DB Result" )
LOG_TYPE( DATABASE, PACKED, DISABLED, "DB Packed" )

LOG_CATEGORY( DEBUG )
LOG_TYPE( DEBUG, DEBUG, ENABLED, "Debug" )
LOG_TYPE( DEBUG, DEV_LOG, ENABLED, "DevLog" )

LOG_CATEGORY( DESTINY )
LOG_TYPE( DESTINY, ERROR,   ENABLED, "DestinyError" )
LOG_TYPE( DESTINY, WARNING, DISABLED, "DestinyWarning" )
LOG_TYPE( DESTINY, MESSAGE, DISABLED, "DestinyMsg" )
LOG_TYPE( DESTINY, DEBUG, DISABLED, "DestinyDebug" )
LOG_TYPE( DESTINY, TRACE, DISABLED, "DestinyTrace" )
LOG_TYPE( DESTINY, BALL_DUMP, DISABLED, "BallDump" )
LOG_TYPE( DESTINY, BALL_DECODE, DISABLED, "BallDecode" )
LOG_TYPE( DESTINY, SETSTATE, DISABLED, "SetStateDump" )
LOG_TYPE( DESTINY, SETSTATE_DECODE, DISABLED, "SetStateDecode" )
LOG_TYPE( DESTINY, UPDATES, DISABLED, "DestinyUpdate" )
LOG_TYPE( DESTINY, BUBBLE_DEBUG, DISABLED, "BubbleDebug" )
LOG_TYPE( DESTINY, BUBBLE_TRACE, DISABLED, "BubbleTrace" )
LOG_TYPE( DESTINY, BUBBLECAST, DISABLED, "BubbleCast" )
LOG_TYPE( DESTINY, BUBBLECAST_DUMP, DISABLED, "BubbleCastDump" )
LOG_TYPE( DESTINY, MOVE_TRACE, DISABLED, "MoveTrace" )
LOG_TYPE( DESTINY, MOVE_DEBUG, DISABLED, "MoveDebug" )
LOG_TYPE( DESTINY, TURN_TRACE, DISABLED, "TurnTrace" )
LOG_TYPE( DESTINY, WARP_TRACE, DISABLED, "WarpTrace" )
LOG_TYPE( DESTINY, ORBIT_TRACE, DISABLED, "OrbitTrace" )

LOG_CATEGORY( DRONE )
LOG_TYPE( DRONE, ERROR,   ENABLED, "DroneError" )
LOG_TYPE( DRONE, WARNING, DISABLED, "DroneWarning" )
LOG_TYPE( DRONE, MESSAGE, DISABLED, "DroneMsg" )
LOG_TYPE( DRONE, INFO, DISABLED, "DroneInfo" )
LOG_TYPE( DRONE, BIND, DISABLED, "DroneBind" )
LOG_TYPE( DRONE, DUMP, DISABLED, "DroneDump" )
LOG_TYPE( DRONE, TRACE, DISABLED, "DroneTrace" )
LOG_TYPE( DRONE, AI_TRACE, DISABLED, "DroneAITrace" )

LOG_CATEGORY( DUNG )
LOG_TYPE( DUNG, ERROR,   ENABLED, "DungError" )
LOG_TYPE( DUNG, WARNING, DISABLED, "DungWarning" )
LOG_TYPE( DUNG, MESSAGE, DISABLED, "DungMsg" )
LOG_TYPE( DUNG, INFO, DISABLED, "DungInfo" )
LOG_TYPE( DUNG, TRACE, DISABLED, "DungTrace" )
LOG_TYPE( DUNG, CALL, DISABLED, "DungCall" )
LOG_TYPE( DUNG, CALL_DUMP, DISABLED, "DungCallDump" )
LOG_TYPE( DUNG, RSP_DUMP, DISABLED, "DungRspDump" )
LOG_TYPE( DUNG, DB_ERROR,   ENABLED, "DungDBError" )
LOG_TYPE( DUNG, DB_WARNING, DISABLED, "DungDBWarning" )
LOG_TYPE( DUNG, DB_MESSAGE, DISABLED, "DungDBMsg" )
LOG_TYPE( DUNG, DB_INFO, DISABLED, "DungDBInfo" )

LOG_CATEGORY( EFFECTS )
LOG_TYPE( EFFECTS, ERROR,   ENABLED, "FxError" )
LOG_TYPE( EFFECTS, WARNING, DISABLED, "FxWarning" )
LOG_TYPE( EFFECTS, UNDEFINED, DISABLED, "FxUndefined" )
LOG_TYPE( EFFECTS, MESSAGE, DISABLED, "FxMsg" )
LOG_TYPE( EFFECTS, DEBUG, DISABLED, "FxDebug" )
LOG_TYPE( EFFECTS, TRACE, DISABLED, "FxTrace" )
LOG_TYPE( EFFECTS, DUMP, DISABLED, "FxDump" )

LOG_CATEGORY( FACWAR )
LOG_TYPE( FACWAR, ERROR,   ENABLED, "FacWar Error" )
LOG_TYPE( FACWAR, WARNING, DISABLED, "FacWar Warning" )
LOG_TYPE( FACWAR, MESSAGE, DISABLED, "FacWar Msg" )
LOG_TYPE( FACWAR, INFO, DISABLED, "FacWar Info" )
LOG_TYPE( FACWAR, TRACE, DISABLED, "FacWar Trace" )
LOG_TYPE( FACWAR, CALL, DISABLED, "FacWar Call" )
LOG_TYPE( FACWAR, CALL_DUMP, DISABLED, "FacWar CallDump" )
LOG_TYPE( FACWAR, RSP_DUMP, DISABLED, "FacWar RspDump" )
LOG_TYPE( FACWAR, DB_ERROR,   ENABLED, "FacWar DBError" )
LOG_TYPE( FACWAR, DB_WARNING, DISABLED, "FacWar DBWarning" )
LOG_TYPE( FACWAR, DB_MESSAGE, DISABLED, "FacWar DBMsg" )
LOG_TYPE( FACWAR, DB_INFO, DISABLED, "FacWar DBInfo" )

LOG_CATEGORY( FLEET )
LOG_TYPE( FLEET, ERROR,   ENABLED, "FleetError" )
LOG_TYPE( FLEET, WARNING, DISABLED, "FleetWarning" )
LOG_TYPE( FLEET, MESSAGE, DISABLED, "FleetMsg" )
LOG_TYPE( FLEET, DEBUG, DISABLED, "FleetDebug" )
LOG_TYPE( FLEET, INFO, DISABLED, "FleetInfo" )
LOG_TYPE( FLEET, TRACE, DISABLED, "FleetTrace" )
LOG_TYPE( FLEET, DUMP, DISABLED, "FleetDump" )
LOG_TYPE( FLEET, RSP_DUMP, DISABLED, "FleetRspDump" )
LOG_TYPE( FLEET, PKT_TRACE, DISABLED, "FleetPktTrace" )
LOG_TYPE( FLEET, BIND_DUMP, DISABLED, "FleetBind" )
LOG_TYPE( FLEET, BCAST_DUMP, DISABLED, "FleetBCast" )
LOG_TYPE( FLEET, UPDATE_DUMP, DISABLED, "FleetUpdate" )

LOG_CATEGORY( INV )
LOG_TYPE( INV, ERROR,   ENABLED, "InvError" )
LOG_TYPE( INV, WARNING, DISABLED, "InvWarning" )
LOG_TYPE( INV, MESSAGE, DISABLED, "InvMsg" )
LOG_TYPE( INV, INFO, DISABLED, "InvInfo" )
LOG_TYPE( INV, TRACE, DISABLED, "InvTrace" )
LOG_TYPE( INV, DUMP, DISABLED, "InvDump" )
LOG_TYPE( INV, BIND, DISABLED, "InvBind" )
LOG_TYPE( INV, LIST, DISABLED, "InvList" )
LOG_TYPE( INV, CAPY, DISABLED, "InvCapy" )

LOG_CATEGORY( ITEM )
LOG_TYPE( ITEM, ERROR,   ENABLED, "ItemError" )
LOG_TYPE( ITEM, WARNING, DISABLED, "ItemWarning" )
LOG_TYPE( ITEM, MESSAGE, DISABLED, "ItemMsg" )
LOG_TYPE( ITEM, DEBUG, DISABLED, "ItemDebug" )
LOG_TYPE( ITEM, TRACE, DISABLED, "ItemTrace" )
LOG_TYPE( ITEM, RELOCATE, DISABLED, "ItemRelocate" )
LOG_TYPE( ITEM, CHANGE, DISABLED, "ItemChange" )

LOG_CATEGORY( LSC )
LOG_TYPE( LSC, ERROR, ENABLED, "LSC Error" )
LOG_TYPE( LSC, WARNING, DISABLED, "LSC Warning" )
LOG_TYPE( LSC, MESSAGE, DISABLED, "LSC Msg" )
LOG_TYPE( LSC, INFO, DISABLED, "LSC Info" )
LOG_TYPE( LSC, CHANNELS, DISABLED, "LSC Chan" )
LOG_TYPE( LSC, CALL_DUMP, DISABLED, "LSC CallDump" )
LOG_TYPE( LSC, RSP_DUMP, DISABLED, "LSC RspDump" )

LOG_CATEGORY( LP )
LOG_TYPE( LP, ERROR, ENABLED, "LP Error" )
LOG_TYPE( LP, WARNING, DISABLED, "LP Warning" )
LOG_TYPE( LP, MESSAGE, DISABLED, "LP Msg" )
LOG_TYPE( LP, INFO, DISABLED, "LP Info" )
LOG_TYPE( LP, DEBUG, DISABLED, "LP Debug" )

LOG_CATEGORY( MAIL )
LOG_TYPE( MAIL, ERROR,   ENABLED, "MailError" )
LOG_TYPE( MAIL, WARNING, DISABLED, "MailWarning" )
LOG_TYPE( MAIL, MESSAGE, DISABLED, "MailMsg" )
LOG_TYPE( MAIL, DEBUG, DISABLED, "MailDebug" )
LOG_TYPE( MAIL, INFO, DISABLED, "MailInfo" )
LOG_TYPE( MAIL, TRACE, DISABLED, "MailTrace" )
LOG_TYPE( MAIL, DUMP, DISABLED, "MailDump" )

LOG_CATEGORY( MANUF )
LOG_TYPE( MANUF, ERROR,   ENABLED, "ManufError" )
LOG_TYPE( MANUF, WARNING, DISABLED, "ManufWarning" )
LOG_TYPE( MANUF, MESSAGE, DISABLED, "ManufMsg" )
LOG_TYPE( MANUF, INFO, DISABLED, "ManufInfo" )
LOG_TYPE( MANUF, DEBUG, DISABLED, "ManufDebug" )
LOG_TYPE( MANUF, DUMP, DISABLED, "ManufDump" )
LOG_TYPE( MANUF, TRACE, DISABLED, "ManufTrace" )

LOG_CATEGORY( MARKET )
LOG_TYPE( MARKET, ERROR,   ENABLED, "MktError" )
LOG_TYPE( MARKET, WARNING, DISABLED, "MktWarning" )
LOG_TYPE( MARKET, MESSAGE, DISABLED, "MktMsg" )
LOG_TYPE( MARKET, DUMP, DISABLED, "MktDump" )
LOG_TYPE( MARKET, DEBUG, DISABLED, "MktDebug" )
LOG_TYPE( MARKET, TRACE, DISABLED, "MktTrace" )
LOG_TYPE( MARKET, DB_ERROR, DISABLED, "MktDBError" )
LOG_TYPE( MARKET, DB_TRACE, DISABLED, "MktDBTrace" )

LOG_CATEGORY( MINING )
LOG_TYPE( MINING, ERROR,   ENABLED, "MiningError" )
LOG_TYPE( MINING, WARNING, DISABLED, "MiningWarning" )
LOG_TYPE( MINING, MESSAGE, DISABLED, "MiningMsg" )
LOG_TYPE( MINING, INFO, DISABLED, "MiningInfo" )
LOG_TYPE( MINING, DEBUG, DISABLED, "MiningDebug" )
LOG_TYPE( MINING, TRACE, DISABLED, "MiningTrace" )

LOG_CATEGORY( MODULE )
LOG_TYPE( MODULE, ERROR, ENABLED, "ModError" )
LOG_TYPE( MODULE, WARNING, ENABLED, "ModWarn" )
LOG_TYPE( MODULE, MESSAGE, DISABLED, "ModMsg" )
LOG_TYPE( MODULE, INFO, DISABLED, "ModInfo" )
LOG_TYPE( MODULE, DEBUG, DISABLED, "ModDebug" )
LOG_TYPE( MODULE, TRACE, DISABLED, "ModTrace" )
LOG_TYPE( MODULE, DAMAGE, DISABLED, "ModDmg" )
LOG_TYPE( MODULE, DUMP, DISABLED, "ModDump" )

LOG_CATEGORY( NET )
LOG_TYPE( NET, PRES_ERROR, ENABLED, "PresError" )
LOG_TYPE( NET, PRES_DEBUG, DISABLED, "PresDebug" )
LOG_TYPE( NET, PRES_TRACE, DISABLED, "PresTrace" )
LOG_TYPE( NET, PRES_REP, DISABLED, "PresRep" )
LOG_TYPE( NET, PRES_RAW, DISABLED, "PresRaw" )
LOG_TYPE( NET, PRES_REP_OUT, DISABLED, "PresOut" )
LOG_TYPE( NET, PRES_RAW_OUT, DISABLED, "RawOut" )
LOG_TYPE( NET, MARSHAL_ERROR, ENABLED, "MarshalError" )
LOG_TYPE( NET, MARSHAL_TRACE, DISABLED, "MarshalTrace" )
LOG_TYPE( NET, UNMARSHAL_TRACE, DISABLED, "UnmarshalTrace" )
LOG_TYPE( NET, UNMARSHAL_BUFHEX, DISABLED, "UnmarshalHex" )
LOG_TYPE( NET, UNMARSHAL_ERROR, ENABLED, "UnmarshalError" )
LOG_TYPE( NET, ZEROINFL, DISABLED, "0Inflate" )
LOG_TYPE( NET, ZEROCOMP, DISABLED, "0Compress" )
LOG_TYPE( NET, PACKET_ERROR, ENABLED, "PacketError" )
LOG_TYPE( NET, PACKET_WARNING, DISABLED, "PacketWarning" )
LOG_TYPE( NET, DISPATCH_ERROR, ENABLED, "NetDispatch" )

LOG_CATEGORY( NPC )
LOG_TYPE( NPC, ERROR,   ENABLED, "NPC Error" )
LOG_TYPE( NPC, WARNING, DISABLED, "NPC Warning" )
LOG_TYPE( NPC, MESSAGE, DISABLED, "NPC Msg" )
LOG_TYPE( NPC, INFO, DISABLED, "NPC Info" )
LOG_TYPE( NPC, TRACE, DISABLED, "NPC Trace" )
LOG_TYPE( NPC, AI_TRACE, DISABLED, "NPC AI Trace" )

LOG_CATEGORY( PHYSICS )
LOG_TYPE( PHYSICS, ERROR, ENABLED, "PhysicsError" )
LOG_TYPE( PHYSICS, WARNING, DISABLED, "PhysicsWarning" )
LOG_TYPE( PHYSICS, MESSAGE, DISABLED, "PhysicsMsg" )
LOG_TYPE( PHYSICS, INFO, DISABLED, "PhysicsInfo" )
LOG_TYPE( PHYSICS, TRACE, DISABLED, "PhysicsTrace" )
LOG_TYPE( PHYSICS, TRACEPOS, DISABLED, "PhysicsTrace POS" )

LOG_CATEGORY( PLANET )
LOG_TYPE( PLANET, ERROR,   ENABLED, "PlanetError" )
LOG_TYPE( PLANET, WARNING, DISABLED, "PlanetWarning" )
LOG_TYPE( PLANET, MESSAGE, DISABLED, "PlanetMsg" )
LOG_TYPE( PLANET, DEBUG, DISABLED, "PlanetDebug" )
LOG_TYPE( PLANET, INFO, DISABLED, "PlanetInfo" )
LOG_TYPE( PLANET, TRACE, DISABLED, "PlanetTrace" )
LOG_TYPE( PLANET, DUMP, DISABLED, "PlanetCallDump" )
LOG_TYPE( PLANET, RES_DUMP, DISABLED, "PlanetResDump" )
LOG_TYPE( PLANET, PKT_TRACE, DISABLED, "PlanetPktTrace" )
LOG_TYPE( PLANET, DB_ERROR,   ENABLED, "PlanetDB:Error" )
LOG_TYPE( PLANET, DB_WARNING, DISABLED, "PlanetDB:Warning" )

LOG_CATEGORY( PLAYER )
LOG_TYPE( PLAYER, ERROR, ENABLED, "PlayerError" )
LOG_TYPE( PLAYER, WARNING, DISABLED, "PlayerWarning" )
LOG_TYPE( PLAYER, MESSAGE, DISABLED, "PlayerMsg" )
LOG_TYPE( PLAYER, INFO, DISABLED, "PlayerInfo" )
LOG_TYPE( PLAYER, TRACE, DISABLED, "PlayerTrace" )
LOG_TYPE( PLAYER, AP_TRACE, DISABLED, "AP_Trace" )
LOG_TYPE( PLAYER, TRADE_MESSAGE, DISABLED, "PlayerTrade" )
LOG_TYPE( PLAYER, CALL, DISABLED, "PlayerCall" )
LOG_TYPE( PLAYER, CALL_DUMP, DISABLED, "PlayerCallDump" )

LOG_CATEGORY( POS )
LOG_TYPE( POS, ERROR,   ENABLED, "POS Error" )
LOG_TYPE( POS, WARNING, DISABLED, "POS Warning" )
LOG_TYPE( POS, MESSAGE, DISABLED, "POS Msg" )
LOG_TYPE( POS, DUMP, DISABLED, "POS Dump" )
LOG_TYPE( POS, RSP_DUMP, DISABLED, "POS RspDump" )
LOG_TYPE( POS, DEBUG, DISABLED, "POS Debug" )
LOG_TYPE( POS, TRACE, DISABLED, "POS Trace" )
LOG_TYPE( POS, DESTINY, DISABLED, "POS State" )
LOG_TYPE( POS, SLIMITEM, DISABLED, "POS SlimItem" )

LOG_CATEGORY( QATOOLS )
LOG_TYPE( QATOOLS, ERROR,   ENABLED, "qaToolsError" )
LOG_TYPE( QATOOLS, WARNING, DISABLED, "qaToolsWarning" )
LOG_TYPE( QATOOLS, MESSAGE, DISABLED, "qaToolsMsg" )
LOG_TYPE( QATOOLS, DEBUG, DISABLED, "qaToolsDebug" )
LOG_TYPE( QATOOLS, INFO, DISABLED, "qaToolsInfo" )
LOG_TYPE( QATOOLS, CALL, DISABLED, "qaToolsCall" )
LOG_TYPE( QATOOLS, DUMP, DISABLED, "qaToolsDump" )
LOG_TYPE( QATOOLS, RSPDUMP, DISABLED, "qaToolsRspDump" )

LOG_CATEGORY( REFPTR )
LOG_TYPE( REFPTR, INC, DISABLED, "RefPtr" )
LOG_TYPE( REFPTR, DEC, DISABLED, "RefPtr" )
LOG_TYPE( REFPTR, ERROR, DISABLED, "RefPtrError" )

LOG_CATEGORY( SE )
LOG_TYPE( SE, ERROR,   ENABLED, "SE Error" )
LOG_TYPE( SE, WARNING, DISABLED, "SE Warning" )
LOG_TYPE( SE, MESSAGE, DISABLED, "SE Msg" )
LOG_TYPE( SE, DEBUG, DISABLED, "SE Debug" )
LOG_TYPE( SE, TRACE, DISABLED, "SE Trace" )
LOG_TYPE( SE, DESTINY, DISABLED, "SE State" )
LOG_TYPE( SE, SLIMITEM, DISABLED, "SE SlimItem" )

LOG_CATEGORY( SERVER )
LOG_TYPE( SERVER, INIT_ERR, ENABLED, "ServerInitError" )
LOG_TYPE( SERVER, INIT, DISABLED, "ServerInit" )
LOG_TYPE( SERVER, INFO, DISABLED, "ServerInfo" )
LOG_TYPE( SERVER, CLIENTS, DISABLED, "ServerClients" )
LOG_TYPE( SERVER, SHUTDOWN, DISABLED, "ServerShutdown" )
LOG_TYPE( SERVER, STACKTRACE, DISABLED, "StackTrace" )
LOG_TYPE( SERVER, BEANCOUNT, DISABLED, "BeanCount" )
LOG_TYPE( SERVER, TESTSERVER, DISABLED, "TestServer" )

LOG_CATEGORY( SPAWN )
LOG_TYPE( SPAWN, ERROR,   ENABLED, "SpawnError" )
LOG_TYPE( SPAWN, WARNING, DISABLED, "SpawnWarning" )
LOG_TYPE( SPAWN, MESSAGE, DISABLED, "SpawnMsg" )
LOG_TYPE( SPAWN, POP, DISABLED, "SpawnPop" )
LOG_TYPE( SPAWN, DEPOP, DISABLED, "SpawnDepop" )
LOG_TYPE( SPAWN, TRACE, DISABLED, "SpawnTrace" )

LOG_CATEGORY( SOV )
LOG_TYPE( SOV, ERROR, ENABLED, "SovError" )
LOG_TYPE( SOV, WARNING, ENABLED, "SovWarning" )
LOG_TYPE( SOV, INFO, ENABLED, "SovInfo" )
LOG_TYPE( SOV, DEBUG, ENABLED, "SovDebug" )

LOG_CATEGORY( SHIP )
LOG_TYPE( SHIP, ERROR, ENABLED, "ShipError" )
LOG_TYPE( SHIP, WARNING, ENABLED, "ShipWarning" )
LOG_TYPE( SHIP, MESSAGE, DISABLED, "ShipMsg" )
LOG_TYPE( SHIP, INFO, DISABLED, "ShipInfo" )
LOG_TYPE( SHIP, TRACE, DISABLED, "ShipTrace" )
LOG_TYPE( SHIP, HEAT, DISABLED, "ShipHeat" )
LOG_TYPE( SHIP, STATE, DISABLED, "ShipState" )
LOG_TYPE( SHIP, RECHARGE, DISABLED, "ShipCharge" )

LOG_CATEGORY( SKILL )
LOG_TYPE( SKILL, ERROR, ENABLED, "SkillError" )
LOG_TYPE( SKILL, WARNING, DISABLED, "SkillWarning" )
LOG_TYPE( SKILL, MESSAGE, DISABLED, "SkillMsg" )
LOG_TYPE( SKILL, INFO, DISABLED, "SkillInfo" )
LOG_TYPE( SKILL, DEBUG, DISABLED, "SkillDebug" )
LOG_TYPE( SKILL, TRACE, DISABLED, "SkillTrace" )
LOG_TYPE( SKILL, QUEUE, DISABLED, "SkillQueue" )

LOG_CATEGORY( STANDING )
LOG_TYPE( STANDING, ERROR,   ENABLED, "StandingError" )
LOG_TYPE( STANDING, WARNING, DISABLED, "StandingWarning" )
LOG_TYPE( STANDING, MESSAGE, DISABLED, "StandingMsg" )
LOG_TYPE( STANDING, DEBUG, DISABLED, "StandingDebug" )
LOG_TYPE( STANDING, INFO, DISABLED, "StandingInfo" )
LOG_TYPE( STANDING, TRACE, DISABLED, "StandingTrace" )
LOG_TYPE( STANDING, DUMP, DISABLED, "StandingDump" )
LOG_TYPE( STANDING, RSPDUMP, DISABLED, "StandingRspDump" )

LOG_CATEGORY( SCAN )
LOG_TYPE( SCAN, ERROR,   ENABLED, "ScanError" )
LOG_TYPE( SCAN, WARNING, DISABLED, "ScanWarning" )
LOG_TYPE( SCAN, MESSAGE, DISABLED, "ScanMsg" )
LOG_TYPE( SCAN, DEBUG, DISABLED, "ScanDebug" )
LOG_TYPE( SCAN, INFO, DISABLED, "ScanInfo" )
LOG_TYPE( SCAN, TRACE, DISABLED, "ScanTrace" )
LOG_TYPE( SCAN, DUMP, DISABLED, "ScanDump" )
LOG_TYPE( SCAN, RSPDUMP, DISABLED, "ScanRspDump" )

LOG_CATEGORY( SERVICE )
LOG_TYPE( SERVICE, ERROR, ENABLED, "SvcError" )
LOG_TYPE( SERVICE, WARNING, DISABLED, "SvcWarning" )
LOG_TYPE( SERVICE, CALLS, DISABLED, "Service" )
LOG_TYPE( SERVICE, CALLS_BOUND, DISABLED, "Bound" )
LOG_TYPE( SERVICE, MESSAGE, DISABLED, "SvcMsg" )
LOG_TYPE( SERVICE, CALL_DUMP, DISABLED, "SvcCallDump" )
LOG_TYPE( SERVICE, CALL_TRACE, DISABLED, "SvcCallTrace" )
LOG_TYPE( SERVICE, CALL_ERROR, ENABLED, "SvcCallError" )

LOG_CATEGORY( TARGET )
LOG_TYPE( TARGET, ERROR, ENABLED, "TargetError" )
LOG_TYPE( TARGET, WARNING, ENABLED, "TargetWarn" )
LOG_TYPE( TARGET, MESSAGE, DISABLED, "TargetMsg" )
LOG_TYPE( TARGET, INFO, DISABLED, "TargetInfo" )
LOG_TYPE( TARGET, DEBUG, DISABLED, "TargetDebug" )
LOG_TYPE( TARGET, TRACE, DISABLED, "TargetTrace" )
LOG_TYPE( TARGET, DUMP, DISABLED, "TargetDump" )

LOG_CATEGORY( TCP_SERVER )
LOG_TYPE( TCP_SERVER, ERROR, ENABLED, "TCP_S_Error" )
LOG_TYPE( TCP_SERVER, WARNING, DISABLED, "TCP_S_Warning" )
LOG_TYPE( TCP_SERVER, MESSAGE, DISABLED, "TCP_S_Msg" )
LOG_TYPE( TCP_SERVER, INFO, DISABLED, "TCP_S_Info" )
LOG_TYPE( TCP_SERVER, TRACE, DISABLED, "TCP_S_Trace" )

LOG_CATEGORY( TCP_CLIENT )
LOG_TYPE( TCP_CLIENT, ERROR, ENABLED, "TCP_C_Error" )
LOG_TYPE( TCP_CLIENT, WARNING, DISABLED, "TCP_C_Warning" )
LOG_TYPE( TCP_CLIENT, MESSAGE, DISABLED, "TCP_C_Msg" )
LOG_TYPE( TCP_CLIENT, INFO, DISABLED, "TCP_C_Info" )
LOG_TYPE( TCP_CLIENT, TRACE, DISABLED, "TCP_C_Trace" )

LOG_CATEGORY( THREAD )
LOG_TYPE( THREAD, ERROR, ENABLED, "ThreadError" )
LOG_TYPE( THREAD, WARNING, ENABLED, "ThreadWarning" )
LOG_TYPE( THREAD, MESSAGE, DISABLED, "ThreadMsg" )
LOG_TYPE( THREAD, INFO, DISABLED, "ThreadInfo" )
LOG_TYPE( THREAD, TRACE, DISABLED, "ThreadTrace" )

LOG_CATEGORY( XMLP )
LOG_TYPE( XMLP, ENCODE_ERROR,   ENABLED, "EncodeError" )
LOG_TYPE( XMLP, ENCODE_WARNING, DISABLED, "EncodeWarning" )
LOG_TYPE( XMLP, ENCODE_MESSAGE, DISABLED, "EncodeMsg" )
LOG_TYPE( XMLP, DECODE_ERROR,   ENABLED, "DecodeError" )
LOG_TYPE( XMLP, DECODE_WARNING, DISABLED, "DecodeWarning" )
LOG_TYPE( XMLP, DECODE_MESSAGE, DISABLED, "DecodeMsg" )


#undef LOG_TYPE
#undef LOG_CATEGORY
#undef ENABLED
#undef DISABLED